Subject: bug#9587: Automake claims $(*F), $(<D), etc. are non-POSIX.

From: Nick Bowler <[email-masked]>
Date: Fri, 23 Sep 2011 15:47:13 -0400

On 2011-09-23 15:02 -0400, Nick Bowler wrote:
> These variables are supported by (at least) bmake, pmake, dmake and GNU
> make.  I can reproduce this with the following example:

I spoke a bit too soon here.  Neither bmake nor pmake seem too support
$(?F) or $(?D) (both expand to be empty in both inference and target
rules).  And dmake seems to differ slightly from POSIX wrt the "D"
variants.  Quoting IEEE Std 1003.1-2004 again:

> The directory part is the path prefix of the file without a
> trailing slash; for the current directory, the directory part is '.'.

For all the "D" variants, dmake puts a trailing slash contrary to the
above, and for the current directory expands to the empty string instead
of "." as required.

-- 
Nick Bowler, Elliptic Technologies (http://www.elliptictech.com/)